import * as React from 'react'
import {Select} from "../components/Select";
const ReactTestRenderer = require('react-test-renderer');

const opts = [
    {
        id: 1,
        title: 'ItemB',
        type_id: 1,
        type_const: 'T01',
        type_title: 'Type 01',
        type_color: '#123456',
    },
    {
        id: 2,
        title: 'ItemA',
        type_id: 1,
        type_const: 'T01',
        type_title: 'Type 01',
        type_color: '#123456',
    }
];

it('renders disabled select correctly', () => {
    const component = ReactTestRenderer.create(
        <Select opts={opts} onChange={null} level={'room'} disabled={true} />
    );
    expect(component).toMatchSnapshot();
});

it('renders select correctly', () => {
    const mockFunction = jest.fn();
    const component = ReactTestRenderer.create(
        <Select opts={opts} onChange={mockFunction} level={'room'} selected_item={1} />
    );
    expect(component).toMatchSnapshot();

    const instance = component.root;
    let select = instance.findByProps({className: "input input-small"});
    select.props.onChange({
        currentTarget: { value: '2' }
    });
    expect(mockFunction).toHaveBeenCalledWith('2', 'room');
});
