import * as React from 'react'
import {SimpleSelect} from "../components/SimpleSelect";
const ReactTestRenderer = require('react-test-renderer');

const opts = {
    [1]: 'ItemV',
    [2]: 'ItemA',
    [3]: 'ItemF',
    [4]: 'ItemD',
}

it('renders disabled simple select correctly', () => {
    const component = ReactTestRenderer.create(
        <SimpleSelect opts={opts} onChange={null} disabled={true} />
    );
    expect(component).toMatchSnapshot();
});

it('renders simple select correctly', () => {
    const mockFunction = jest.fn();
    const component = ReactTestRenderer.create(
        <SimpleSelect opts={opts} onChange={mockFunction} />
    );
    expect(component).toMatchSnapshot();

    const instance = component.root;
    let select = instance.findByProps({className: "input input-small"});
    select.props.onChange({
        currentTarget: { value: '4' }
    });
    expect(mockFunction).toHaveBeenCalledWith('4');
});

it('renders simple select with empty option correctly', () => {
    const component = ReactTestRenderer.create(
        <SimpleSelect opts={opts} onChange={null} has_empty_option={true} />
    );
    expect(component).toMatchSnapshot();
});
