import * as React from 'react'
import {DeviceListItem} from '../components/Device/DeviceListItem'
const ReactTestRenderer = require('react-test-renderer');

it('renders selected device list item correctly', () => {
    const connector = {
        id: 1,
        connector_id: 1,
        connector_title: '01',
        connector_type: 1,
        connector_type_id: 1,
        connector_type_title: 'RJ45',
        connector_status: 1,
        pos_x: 1,
        pos_y: 1,
        rotation: 0,
        angle: 'F',
        status: 'ok'
    };
    const component = ReactTestRenderer.create(
        <DeviceListItem connector={connector} is_selected={true} onSelectedIdChange={null} />,
    );
    expect(component).toMatchSnapshot();
});

it('renders linked device list item correctly', () => {
    const patch = {
        id: 1,
        title: '02',
        obj_id: 1234,
        obj_title: 'PP01',
        obj_url: '/',
        cable_id: 14,
        cable_title: 'Default-Cable14',
        cable_length: '100m',
        cable_color_id: 1,
        cable_color: '#FF0000'
    };
    const link = {
        id: 2,
        title: '14',
        obj_id: 4321,
        obj_title: 'Device01',
        obj_url: '/',
        cable_id: 18,
        cable_title: 'Default-Cable18',
        cable_length: '100m',
        cable_color_id: 2,
        cable_color: '#6688AA'
    };
    const connector = {
        id: 8,
        connector_id: 8,
        connector_title: '08',
        connector_type: 1,
        connector_type_id: 1,
        connector_type_title: 'RJ45',
        connector_status: 1,
        pos_x: 2,
        pos_y: 1,
        rotation: 0,
        angle: 'F',
        status: 'ok',
        patch: patch,
        link_type: 'link',
        link: link,
    };
    const component = ReactTestRenderer.create(
        <DeviceListItem connector={connector} is_selected={false} onSelectedIdChange={null} />,
    );
    expect(component).toMatchSnapshot();
});
