import * as React from 'react'
import {PortVirtualConnectionDetail} from "../components/Port/PortVirtualConnectionDetail";
const ReactTestRenderer = require('react-test-renderer');

const lang = {
    ['LC__CMDB__CATG__SMVIEW_PATCH__ANGLE_FRONT']: 'Front',
    ['LC__CMDB__CATG__SMVIEW_PATCH__ANGLE_BACK']: 'Back',
};

const cable_colors = {
    1: '#00FF00',
    2: '#FF00FF',
};

const cable_types = {
    [1]: 'CAT5',
    [2]: 'CAT6',
    [3]: 'CAT7'
};

const permissions = {
    has_edit_permission: true,
    has_planner_edit_permission: true,
    has_planner_activate_permission: true,
    has_end_device_edit_permission: true,
}

it('renders port virtual connection detail correctly', () => {
    const port_connector = {
        id: 1,
        title: "01",
        obj_id: 4,
        obj_title: "Switch",
        obj_url: "",
        cable_id: 8,
        cable_title: "Cable01",
        cable_length: "100m",
        cable_color_id: 1,
        cable_color: "#FF0000",
        status: 'unchanged',
    };
    const traceMockFunction = jest.fn();
    const component = ReactTestRenderer.create(
        <PortVirtualConnectionDetail type="link" port_connector={null} virtual_port_connector={port_connector} cable_colors={cable_colors} permissions={permissions}
                                     cable_types={cable_types} image_url="" side="left" language={lang} onSocketClick={null}
                                     onCablePropertyChange={null} onCableSave={null} onTraceClick={traceMockFunction} />,
    );
    expect(component).toMatchSnapshot();

    const instance = component.root;
    let button = instance.findByProps({className: "icon-button"});
    button.props.onClick({});
    expect(traceMockFunction).toHaveBeenCalled();
});
