import * as React from 'react'
import {RackSelector} from '../components/RackSelector'
const ReactTestRenderer = require('react-test-renderer');

it('renders rack selector correctly', () => {
    const racks = {
        1: "Rack01",
        2: "Rack02"
    };
    const mockFunction = jest.fn();
    const component = ReactTestRenderer.create(
        <RackSelector side="left" racks={racks} selected_id={2} onSelectionChange={mockFunction} />,
    );
    expect(component).toMatchSnapshot();

    const instance = component.root;
    let select = instance.findByProps({className: "input"});
    select.props.onChange({
        currentTarget: { value: '14' }
    });
    expect(mockFunction).toHaveBeenCalledWith('left', '14');
});
