import * as React from 'react'
import {Select} from "../components/Select";
const ReactTestRenderer = require('react-test-renderer');

const connector_status_ok = {
    title: 'ok',
    color: '#00FF00'
};

const connector_status_warning = {
    title: 'warning',
    color: '#FFFF00'
};

const status_list = {
    [11]: connector_status_ok,
    [22]: connector_status_warning,
};

const options = {
    [1]: "RJ45",
    [2]: "RJ11",
};

it('renders disabled select correctly', () => {
    const component = ReactTestRenderer.create(
        <Select id='1234' options={options} title='My Select' disabled={true} onChange={null} selected_option={2} status_options={status_list} />,
    );
    expect(component).toMatchSnapshot();
});

it('renders select correctly', () => {
    const onChangeMockFunction = jest.fn();
    const component = ReactTestRenderer.create(
        <Select id='1234' options={options} title='My Select' disabled={false} onChange={onChangeMockFunction} selected_option={11} status_options={status_list} />,
    );
    expect(component).toMatchSnapshot();

    const instance = component.root;
    let select = instance.findByType('select');
    select.props.onChange({
        currentTarget: {
            value: 1
        }
    });
    expect(onChangeMockFunction).toHaveBeenCalledWith(1);
});
