import * as React from 'react'
import {SlotTabs} from '../components/Device/SlotTab'
const ReactTestRenderer = require('react-test-renderer');

const slot_devices1 = [
    {
        id: 1,
        title: "Device1",
        image_url: "URL1",
    }
];

const slot_devices2 = [
    {
        id: 2,
        title: "Device2",
        image_url: "URL2",
    },
    {
        id: 3,
        title: "Device3",
        image_url: "URL3",
    }
];

const slots = [
    {
        id: 1,
        title: "Slot1",
        x_from: 1,
        x_to: 1,
        y_from: 0,
        y_to: 0,
        devices: slot_devices1
    },
    {
        id: 2,
        title: "Slot2",
        x_from: 2,
        x_to: 2,
        y_from: 1,
        y_to: 1,
        devices: slot_devices2
    }
];

const chassis = {
    id: 1111,
    title: 'Chassis01',
    width: 4,
    height: 2,
    slots: slots,
};

it('renders slot tab correctly', () => {
    const mockFunction = jest.fn();
    const component = ReactTestRenderer.create(
        <SlotTabs chassis={chassis} onTabSelected={mockFunction} is_image_view={true} selected_id={1} />,
    );
    expect(component).toMatchSnapshot();

    const instance = component.root;
    let span = instance.findByProps({id: "1"});
    span.props.onClick({
        currentTarget: { id: '1' }
    });
    expect(mockFunction).toHaveBeenCalledWith('1');
});

it('renders slot tab span view correctly', () => {
    const mockFunction = jest.fn();
    const component = ReactTestRenderer.create(
        <SlotTabs chassis={chassis} onTabSelected={mockFunction} is_image_view={false} selected_id={1} />,
    );
    expect(component).toMatchSnapshot();
});
