import * as React from 'react'

interface CommentProps {
    side: string,
    angle: string,
    device_id: number,
    title: string,
    comment: string,
    pos_x: number,
    pos_y: number,
    onEnterComment: Function,
    language: {[key: string]: string},
}

export class Comment extends React.Component<CommentProps, {}> {
  constructor (props: CommentProps) {
    super(props)
    this.handleEnterComment = this.handleEnterComment.bind(this)
  }

  handleEnterComment (event: React.ChangeEvent<HTMLTextAreaElement>) {
    const text = event.currentTarget.value
    this.props.onEnterComment(this.props.side, this.props.angle, this.props.device_id, text)
  }

  render () {
    if (!this.props.device_id) {
      return ''
    }

    const style = { top: this.props.pos_y + 'px', left: this.props.pos_x + 'px' }
    const comment_id = 'comment_' + this.props.device_id
    return <div id={comment_id} className="editable_comment" style={style}>
      <h3>{this.props.title} - {this.props.language.LC__CMDB__CATG__SMVIEW_PATCH__COMMENT}:</h3>
      <textarea onChange={this.handleEnterComment} value={this.props.comment} />
    </div>
  }
}
