import {CommonPortProps} from '../Port/Port'

export interface DeviceObjectProps {
    id?: number,
    title: string,
    description?: string,
    type_title: string,
    url: string,
    print_url: string,
    grid_title: string,
    column_count: number,
    row_count: number,
    column_count_back?: number,
    row_count_back?: number,
    is_template: boolean,
    is_chassis?: boolean,
    chassis_front?: ChassisProps,
    chassis_back?: ChassisProps,
}

export interface ChassisProps {
    id: number,
    title: string,
    width: number,
    height: number,
    slots: SlotProps[],
}

interface SlotProps {
    id: number,
    title: string,
    x_from: number,
    x_to: number,
    y_from: number,
    y_to: number,
    devices: SlotDeviceProps[],
}

interface SlotDeviceProps {
    id: number,
    title: string,
    image_url: string,
}

export interface DeviceConnectorProps extends CommonPortProps {
    id: number,
    pos_x: number,
    pos_y: number,
    rotation: number,
    angle: string,
    status: string,
    number?: number,
    title?: string,
    url?: string,
    link_type?: string,
}
