import * as React from 'react'

export interface CablePinProps {
  id: number,
  title: string,
  scope?: string,
  obj_title: string,
  obj_url: string,
  route_name?: string,
  route_url?: string,
}

interface CablePinListProps {
  cable_pins: CablePinProps[],
  language: {[key: string]: string},
}

export class CablePinList extends React.Component<CablePinListProps, {}> {
  constructor (props: CablePinListProps) {
    super(props)
  }

  render () {
    let divs = []
    this.props.cable_pins.forEach(pin => {
      const additional_info = pin.route_name ? <a href={pin.route_url} target="_blank">[{pin.route_name}]</a> : null
      let pin_title = pin.scope ? pin.scope + ' - ' : ''
      pin_title += pin.title
      divs.push(
        <div key={pin.id}>
          <a href={pin.obj_url} target="_blank" title={this.props.language.LC__CMDB__CATG__SMVIEW_PATCH__OPEN_CONNECTED_CABLE_PIN}>
            {pin.obj_title} - {pin_title}
          </a> {additional_info}
        </div>
      )
    })

    return <table>
      <tbody>
      <tr key="connector_title">
        <td colSpan={2} className="section-header">{this.props.language.LC__CMDB__CATG__SMVIEW_PATCH__INTERFACE_CONNECTION}</td>
      </tr>
      <tr key="connector_connection">
        <td>{this.props.language.LC__CMDB__CATG__SMVIEW_PATCH__CONNECTED_WITH}:</td>
        <td>
          {divs}
        </td>
      </tr>
      </tbody>
    </table>
  }
}
