import * as React from 'react'
import { AvailablePortTable } from '../components/AvailablePortTable'
const ReactTestRenderer = require('react-test-renderer')

const lang = {
  LC__CMDB__CATG__SMVIEW_PATCH__ERROR_NO_CONNECTOR_TYPE: 'No connector of type',
  LC__CMDB__CATG__SMVIEW_PATCH__ERROR_NO_MATCHING_NAME: 'named',
  LC__CMDB__CATG__SMVIEW_PATCH__TEMPLATE_HAS_NEW_CONNECTOR: 'New unassigned connector named',
  LC__CMDB__CATG__SMVIEW_PATCH__AUTO_ASSIGN: 'Auto assign'
}

const assignedPorts = [{
  title: '01',
  id: 1,
  number: 1,
  angle: 'F',
  label_orientation: 'S',
  pos_x: 1,
  pos_y: 1,
  rotation: 0,
  status: 'ok',
  url: '',
  connector_id: 1,
  connector_title: '01',
  connector_type_title: 'RJ-45'
}]

const allConnectors = [
  {
    title: '01',
    connector_id: 1,
    connector_title: '01',
    connector_type: 'RJ45',
    connector_type_id: 45,
    connector_type_title: 'RJ45',
    url: 'http://connector.url',
  },
  {
    title: '02',
    connector_id: 2,
    connector_title: '02',
    connector_type: 'RJ45',
    connector_type_id: 45,
    connector_type_title: 'RJ45',
    url: 'http://connector.url',
  }
]

it('renders read only available port table correctly', () => {
  const component = ReactTestRenderer.create(
      <AvailablePortTable assigned_ports={assignedPorts}
                          all_connectors={allConnectors}
                          language={lang}
                          is_editable={false}
                          right_align_connector_titles={false} />
  )
  expect(component).toMatchSnapshot()
})

it('renders available port table correctly', () => {
  const component = ReactTestRenderer.create(
      <AvailablePortTable assigned_ports={assignedPorts}
                          all_connectors={allConnectors}
                          language={lang}
                          is_editable={true}
                          right_align_connector_titles={false} />
  )
  expect(component).toMatchSnapshot()
})
