import * as React from 'react'
import { ConnectionTable } from '../components/ConnectionTable'
const ReactTestRenderer = require('react-test-renderer')

const lang = {
  LC__CMDB__CATG__SMVIEW_PATCH__PIN_MAPPER_CONNECTOR: 'Connector',
  LC__CMDB__CATG__SMVIEW_PATCH__PIN_MAPPER_CONNECTED_PIN: 'Connected Pin'
}

const rows = [
  {
    connector_id: 1,
    connector_title: '01',
    connector_type_title: 'RJ45',
    pins: [
      {
        obj_title: 'Switch01',
        url: 'http://url',
        scope: 'B1',
        description: '1'
      }
    ]
  },
  {
    connector_id: 2,
    connector_title: '02',
    connector_type_title: 'RJ45',
    pins: []
  },
  {
    connector_id: 3,
    connector_title: '03',
    connector_type_title: 'RJ45',
    pins: [
      {
        obj_title: 'Switch02',
        url: 'http://url',
        scope: 'B2',
        description: '2a'
      },
      {
        obj_title: 'Switch02',
        url: 'http://url',
        scope: 'B2',
        description: '2b'
      }
    ]
  }
]

it('renders connection table correctly', () => {
  const component = ReactTestRenderer.create(
    <ConnectionTable language={lang} data={rows} />
  )
  expect(component).toMatchSnapshot()
})
