import * as React from 'react'
import { Select } from '../components/Select'
const ReactTestRenderer = require('react-test-renderer')

const options = {
  1: 'Option01',
  2: 'Option02'
}

it('renders select correctly', () => {
  const mockFunction = jest.fn()
  const component = ReactTestRenderer.create(
    <Select opts={options} onChange={mockFunction} />
  )
  expect(component).toMatchSnapshot()

  const instance = component.root
  const select = instance.findByProps({ className: 'input' })
  select.props.onChange({
    currentTarget: { value: '2' }
  })
  expect(mockFunction).toHaveBeenCalledWith('2')
})

it('renders disabled select correctly', () => {
  const mockFunction = jest.fn()
  const component = ReactTestRenderer.create(
    <Select opts={options} onChange={mockFunction} disabled={true} />
  )
  expect(component).toMatchSnapshot()
})
