<?php

/**
 * i-doit
 *
 * DAO: global category for SM-VIEW Patch Analyzer.
 *
 * @package    i-doit
 * @subpackage smview_patch
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  2021 SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license
 */
class isys_cmdb_dao_category_g_smview_patch_analyzer extends isys_cmdb_dao_category_g_virtual
{
    /**
     * Category's name. Will be used for the identifier, constant, main table, and many more.
     *
     * @var string
     */
    protected $m_category = 'smview_patch_analyzer';

    /**
     * Is category multi-valued or single-valued?
     *
     * @var boolean
     */
    protected $m_multivalued = false;

    /**
     * Method for returning the properties.
     *
     * @return array
     */
    protected function properties()
    {
        /*
         *
         * This is only a fake object, but it is required to add a global category!
         *
         */
        return [];
    }

    /**
     * Retrieves the number of saved category-entries to the given object.
     *
     * @param  int $objectId
     * @return int
     */
    public function get_count($objectId = null)
    {
        return 1;
    }

    /**
     * Creates new entity.
     *
     * @param  array $p_data Properties in a associative array with tags as keys and their corresponding values as values.
     * @return false  Returns created entity's identifier (int) or false (bool).
     */
    public function create_data($p_data)
    {
        // no op
        return false;
    }

    /**
     * Updates existing entity.
     *
     * @param  integer $p_list_id Entity's identifier
     * @param  array   $p_data    Properties in a associative array with tags as keys and their corresponding values as values.
     * @return false
     */
    public function save_data($p_list_id, $p_data)
    {
        // no op
        return false;
    }
}
