<?php

use idoit\Component\Property\Type\DialogPlusProperty;

/**
 * i-doit
 *
 * DAO: global category for SM-VIEW Patch Note.
 *
 * @package    i-doit
 * @subpackage smview_patch
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  2021 SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license
 */
class isys_cmdb_dao_category_g_smview_patch_note extends isys_cmdb_dao_category_global
{

    /**
     * Category's name. Will be used for the identifier, constant, main table, and many more.
     *
     * @var string
     */
    protected $m_category = 'smview_patch_note';

    /**
     * Is category multi-valued or single-valued?
     *
     * @var boolean
     */
    protected $m_multivalued = true;

    /**
     * Method for returning the properties.
     *
     * @return array
     * @throws Exception
     */
    protected function properties()
    {
        return [
            'parameter' => (new DialogPlusProperty(
                'C__CATG__SMVIEW_PATCH_NOTE_PARAMETER',
                'LC__CMDB__CATG__SMVIEW_PATCH__NOTE_PARAMETER',
                'isys_catg_smview_patch_note_list__parameter_id',
                'isys_catg_smview_patch_note_list',
                'isys_catg_smview_patch_note_parameter'
            ))->mergePropertyUiParams(
                [
                    'p_strClass'   => 'input',
                    'p_bDbFieldNN' => true,
                ]
            ),
            'value' => array_replace_recursive(
                isys_cmdb_dao_category_pattern::text(),
                [
                    C__PROPERTY__INFO => [
                        C__PROPERTY__INFO__TITLE => 'LC__CMDB__CATG__SMVIEW_PATCH__NOTE_VALUE',
                        C__PROPERTY__INFO__DESCRIPTION => 'Value'
                    ],
                    C__PROPERTY__DATA => [
                        C__PROPERTY__DATA__FIELD => 'isys_catg_smview_patch_note_list__value'
                    ],
                    C__PROPERTY__UI => [
                        C__PROPERTY__UI__ID => 'C__CATG__SMVIEW_PATCH_NOTE_VALUE'
                    ],
                    C__PROPERTY__CHECK => [
                        // This is necessary to keep linebreaks
                        C__PROPERTY__CHECK__SANITIZATION => null
                    ]
                ]
            ),
        ];
    }
}
