<?php

use idoit\Component\Property\Type\DateProperty;
use idoit\Component\Property\Type\TextProperty;

/**
 * i-doit
 *
 * DAO: global category for SM-VIEW Patch Parking Deck Information.
 *
 * @package    i-doit
 * @subpackage smview_patch
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  2021 SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license
 */
class isys_cmdb_dao_category_g_smview_patch_parking_deck_info extends isys_cmdb_dao_category_global
{

    /**
     * Category's name. Will be used for the identifier, constant, main table, and many more.
     *
     * @var string
     */
    protected $m_category = 'smview_patch_parking_deck_info';

    /**
     * Is category multi-valued or single-valued?
     *
     * @var boolean
     */
    protected $m_multivalued = false;

    /**
     * Method for returning the properties.
     *
     * @return array
     * @throws Exception
     */
    protected function properties()
    {
        return [
            'creation_date' => (new DateProperty(
                'C__CATG__SMVIEW_PATCH_PARKING_DECK_INFO_CREATION_DATE',
                'LC__CMDB__CATG__SMVIEW_PATCH_PARKING_DECK_INFO__CREATION_DATE',
                'isys_catg_smview_patch_parking_deck_info_list__creation_date',
                'isys_catg_smview_patch_parking_deck_info_list'
            ))->mergePropertyUiParams(
                [
                    'p_strClass'     => 'input',
                    'p_strPopupType' => 'calendar',
                    'p_bTime'        => 1,
                    'p_bDbFieldNN'   => true,
                    'p_bDisabled'    => true,
                ]
            ),
            'obj_title' => (new TextProperty(
                'C__CATG__SMVIEW_PATCH_PARKING_DECK_INFO_OBJECT_TITLE',
                'LC__CMDB__CATG__SMVIEW_PATCH_PARKING_DECK_INFO__OBJECT_TITLE',
                'isys_catg_smview_patch_parking_deck_info_list__obj_title',
                'isys_catg_smview_patch_parking_deck_info_list'
            ))->mergePropertyUiParams(
                [
                    'p_strClass'  => 'input',
                    'p_bDisabled' => true,
                ]
            ),
            'obj_type_const' => (new TextProperty(
                'C__CATG__SMVIEW_PATCH_PARKING_DECK_INFO_OBJECT_TYPE_CONST',
                'LC__CMDB__CATG__SMVIEW_PATCH_PARKING_DECK_INFO__OBJECT_TYPE_CONST',
                'isys_catg_smview_patch_parking_deck_info_list__obj_type_const',
                'isys_catg_smview_patch_parking_deck_info_list'
            ))->mergePropertyUiParams(
                [
                    'p_strClass'  => 'input',
                    'p_bDisabled' => true,
                ]
            ),
        ];
    }
}
