<?php

/**
 * i-doit
 *
 * Analyzer Preset DAO for SM-VIEW Patch.
 *
 * @package    idoit
 * @subpackage smview_patch
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  2021 SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license MIT
 */
class isys_cmdb_dao_smview_patch_analyzer_preset extends isys_cmdb_dao_smview_patch_abstract
{

    /**
     * Mapping of database and API keys
     *
     * @var array
     */
    protected $db_to_api_map = array(
        'isys_catg_smview_patch_analyzer_preset__id'             => 'id',
        'isys_catg_smview_patch_analyzer_preset__description'    => 'description',
        'isys_catg_smview_patch_analyzer_preset__show_rack_view' => 'show_rack_view',
    );

    /**
     * Name of the table.
     *
     * @var string
     */
    protected $table_name = 'isys_catg_smview_patch_analyzer_preset';

    /**
     * Name of the primary key field.
     *
     * @var string
     */
    protected $primary_key_field = 'isys_catg_smview_patch_analyzer_preset__id';
}
