<?php

/**
 * i-doit
 *
 * Formfactor DAO for SM-VIEW Patch.
 *
 * @package    idoit
 * @subpackage smview_patch
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  2019 SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license MIT
 */
class isys_cmdb_dao_smview_patch_formfactor extends isys_cmdb_dao_smview_patch_abstract
{
    
    /**
     * Mapping of database and API keys
     *
     * @var array
     */
    protected $db_to_api_map = array(
        'isys_catg_smview_patch_formfactor_list__id'           => 'id',
        'isys_catg_smview_patch_formfactor_list__isys_obj__id' => 'obj_id',
        'isys_catg_smview_patch_formfactor_list__half_he'      => 'half_he',
        'isys_catg_smview_patch_formfactor_list__comment'      => 'comment',
    );
    
    /**
     * Name of the table.
     *
     * @var string
     */
    protected $table_name = 'isys_catg_smview_patch_formfactor_list';
    
    /**
     * Name of the primary key field.
     *
     * @var string
     */
    protected $primary_key_field = 'isys_catg_smview_patch_formfactor_list__id';
}
