<?php

/**
 * i-doit
 *
 * Virtual Connection DAO for SM-VIEW Patch.
 *
 * @package    idoit
 * @subpackage smview_patch
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  2022 SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license MIT
 */
class isys_cmdb_dao_smview_patch_virtual_connection extends isys_cmdb_dao_smview_patch_abstract
{

    /**
     * Mapping of database and API keys
     *
     * @var array
     */
    protected $db_to_api_map = array(
        'isys_catg_smview_patch_virtual_connection__id'                    => 'id',
        'isys_catg_smview_patch_virtual_connection__from_obj_id'           => 'from_obj_id',
        'isys_catg_smview_patch_virtual_connection__from_connector_id'     => 'from_connector_id',
        'isys_catg_smview_patch_virtual_connection__to_obj_id'             => 'to_obj_id',
        'isys_catg_smview_patch_virtual_connection__to_connector_id'       => 'to_connector_id',
        'isys_catg_smview_patch_virtual_connection__cable_name'            => 'cable_name',
        'isys_catg_smview_patch_virtual_connection__add_to_existing_cable' => 'add_to_existing_cable',
        'isys_catg_smview_patch_virtual_connection__status'                => 'status',
    );

    /**
     * Name of the table.
     *
     * @var string
     */
    protected $table_name = 'isys_catg_smview_patch_virtual_connection';

    /**
     * Name of the primary key field.
     *
     * @var string
     */
    protected $primary_key_field = 'isys_catg_smview_patch_virtual_connection__id';
}
