<?php

/**
 * i-doit
 *
 * DAO: list of SM-VIEW Patch Note.
 *
 * @package    i-doit
 * @subpackage smview_patch
 * @author     Steve Groeber <steve.groeber@shd-online.de>
 * @copyright  2021 SHD System-Haus-Dresden GmbH
 * @license    http://www.i-doit.com/license MIT
 */
class isys_cmdb_dao_list_catg_smview_patch_note extends isys_cmdb_dao_list
{

    /**
     * Return constant of category.
     *
     * @return integer
     */
    public function get_category()
    {
        return defined_or_default('C__CATG__SMVIEW_PATCH_NOTE');
    }

    /**
     * Return constant of category type.
     *
     * @return integer
     */
    public function get_category_type()
    {
        return C__CMDB__CATEGORY__TYPE_GLOBAL;
    }

    /**
     * Returns array with table headers.
     *
     * @return array
     */
    public function get_fields()
    {
        return [
            "isys_catg_smview_patch_note_parameter__title" => 'LC__CMDB__CATG__SMVIEW_PATCH__NOTE_PARAMETER',
            "isys_catg_smview_patch_note_list__value"      => 'LC__CMDB__CATG__SMVIEW_PATCH__NOTE_VALUE',
        ];
    }
}
