<style type="text/css">

    /*
     Hide i-doit frames and elements
     */
    #top,
    #menuTreeOn,
    #logged-in-user-container,
    #navBar,
    #breadcrumb,
    #infoBox {
        display: none;
    }

    #contentArea {
        top: 0;
        border: none;
        background: none;
    }

    #contentWrapper {
        top: 0;
        bottom: 0;
    }

    #contentBottom {
        background: none;
    }

    /*
     Print styling
     */
    #print_container {
        width: 98%;
        padding: 0.5% 1%;
        font-size: 10pt;
    }

    #header,
    #ports {
        border-collapse: collapse;
        width: 100%;
    }

    #header {
        border: 1px solid #444;
        background: linear-gradient(to bottom, #B2C5DE, #FFFFFF);
    }

    #ports {
        margin-top: 20px;
    }

    #header td,
    #ports th,
    #ports td {
        padding: 2px 4px;
    }

    #ports th,
    #ports td {
        border: 1px solid #444;
    }

    #header td:nth-child(1),
    #header td:nth-child(3) {
        width: 10%;
        text-align: right;
    }

    #header td:nth-child(2),
    #header td:nth-child(4) {
        font-weight: bold;
        width: 20%;
    }

    #header img {
        max-width: 100%;
    }

</style>

<div id="print_container">
    <table id="header">
        <tr>
            <td>[{isys type='lang' ident='LC_UNIVERSAL__NAME'}]:</td>
            <td>[{$device['title']}]</td>
            <td>[{isys type='lang' ident='LC__CATP__IP__ADDRESS'}]:</td>
            <td>[{$device['ip']}]</td>
            <td rowspan="4"><img src="[{$device['img_url']}]" alt="" /></td>
        </tr>
        <tr>
            <td>[{isys type='lang' ident='LC__UNIVERSAL__TITLE'}]:</td>
            <td>[{$device['description']}]</td>
            <td>[{isys type='lang' ident='LC__CMDB__CATG__ACCOUNTING_INVENTORY_NO'}]:</td>
            <td>[{$device['inventory_number']}]</td>
        </tr>
        <tr>
            <td>[{isys type='lang' ident='LC__CMDB__CATG__MANUFACTURER'}]:</td>
            <td>[{$device['manufacturer_title']}]</td>
            <td>[{isys type='lang' ident='LC__CMDB__CATG__MODEL_SERIAL'}]:</td>
            <td>[{$device['serial_number']}]</td>
        </tr>
        <tr>
            <td>[{isys type='lang' ident='LC__UNIVERSAL__TYPE'}]:</td>
            <td>[{$device['model_title']}]</td>
            <td></td>
            <td></td>
        </tr>
    </table>

    <table id="ports">
        <thead>
            <tr>
                <th>[{isys type='lang' ident='LC__CMDB__CATG__SMVIEW_PATCH__SLOT_ROW'}]</th>
                <th>[{isys type='lang' ident='LC__CMDB__CATG__SMVIEW_PATCH__PORT'}]</th>
                <th>[{isys type='lang' ident='LC__CMDB__CATG__SMVIEW_PATCH__PORT_TYPE'}]</th>
                <th>[{isys type='lang' ident='LC__CMDB__CATG__SMVIEW_PATCH__PATCH'}]</th>
                <th>[{isys type='lang' ident='LC__CMDB__CATG__SMVIEW_PATCH__LINK'}]</th>
            </tr>
        </thead>
        <tbody>
            [{foreach $connectors as $connector}]
                <tr>
                    <td>
                        [{if $connector['pos_y']}]
                            [{$connector['pos_y']}]
                        [{else}]
                            1
                        [{/if}]
                    </td>
                    <td>[{$connector['title']}]</td>
                    <td>[{$connector['connector_type_title']}]</td>
                    <td>
                        [{if $connector['patch']['id']}]
                            [{$connector['patch']['obj_title']}]@[{$connector['patch']['title']}]
                        [{/if}]
                    </td>
                    <td>
                        [{if $connector['link']['id']}]
                            [{$connector['link']['obj_title']}]@[{$connector['link']['title']}]
                        [{/if}]
                    </td>
                </tr>
            [{/foreach}]
        </tbody>
    </table>
</div>

<script type="text/javascript">
    hide_left_bar();
    function hide_left_bar() {
        setTimeout(function() {
            document.getElementById('contentArea').writeAttribute('style', 'left: 0;');
            hide_left_bar();
        }, 200);
    }
</script>
