<style type="text/css">

    /*
     Hide i-doit frames and elements
     */
    #top,
    #menuTreeOn,
    #logged-in-user-container,
    #navBar,
    #breadcrumb,
    #infoBox {
        display: none;
    }

    #contentArea {
        top: 0;
        border: none;
        background: none;
    }

    #contentWrapper {
        top: 0;
        bottom: 0;
    }

    #contentBottom {
        background: none;
    }

    /*
     Print styling
     */
    #print_container {
        width: 98%;
        padding: 0.5% 1%;
        font-size: 10pt;
    }

    #header,
    #devices {
        border-collapse: collapse;
        width: 100%;
    }

    #header {
        border-bottom: 1px solid #444;
        margin-bottom: 14px;
    }

    #header td {
        padding: 4px;
    }

    #header td:nth-child(1) {
        width: 25%;
        text-align: right;
        font-weight: bold;
    }

    #devices th {
        font-weight: normal;
        font-size: 16px;
    }

    #devices th:nth-child(3) {
        padding-left: 14px;
    }

    #devices td {
        height: 20px;
        font-size: 11px;
    }

    #devices td:nth-child(1) {
        width: 4%;
        vertical-align: top;
        text-align: right;
        padding-right: 4px;
    }

    #devices td:nth-child(2) {
        border: 1px solid #BBB;
        width: 50%;
    }

    #devices td:nth-child(3) {
        padding-left: 14px;
        border-top: 1px dashed #BBB;
    }

    #devices img {
        width: 100%;
    }

    #devices td:nth-child(2) span {
        display: inline-block;
        width: 100%;
        height: 100%;
    }

    .is-planned {
        height: 16px;
        width: 16px;
        background-color: #00FF00;
        border-radius: 50%;
        display: inline-block;
        margin: 2px;
    }

</style>

<div id="print_container">
    <span style="font-weight: bold; font-size: 20px;">
        [{isys type='lang' ident='LC__CMDB__CATG__SMVIEW_PATCH__RACK_LAYOUT'}]
    </span>
    <table id="header">
        <tr>
            <td>[{isys type='lang' ident='LC_UNIVERSAL__NAME'}]:</td>
            <td>[{$rack['title']}]</td>
        </tr>
        <tr>
            <td>[{isys type='lang' ident='LC__CMDB__CATG__MANUFACTURER'}]:</td>
            <td>[{$rack['manufacturer_title']}]</td>
        </tr>
        <tr>
            <td>[{isys type='lang' ident='LC__UNIVERSAL__TYPE'}]:</td>
            <td>[{$rack['model_title']}]</td>
        </tr>
    </table>

    <table id="devices">
        <thead>
            <tr>
                <th>&nbsp;</th>
                <th>&nbsp;</th>
                <th>[{isys type='lang' ident='LC_UNIVERSAL__NAME'}]</th>
            </tr>
        </thead>
        <tbody>
            [{foreach $devices as $device}]
                <tr>
                    <td>[{$device['position']}]</td>
                    <td style="height: [{$device['he'] * 20}]px">
                        [{if $device['title']}]
                            [{if $device['image_url']}]
                                <img src="[{$device['image_url']}]"
                                     alt="[{$device['title']}]"
                                     style="max-height: [{$device['he'] * 20}]px"/>
                            [{else}]
                                <span style="background-color: [{$device['color']}];">&nbsp;</span>
                            [{/if}]
                        [{/if}]
                    </td>
                    <td>
                        [{if $device['title']}]
                            [{$device['title']}]
                        [{/if}]
                        [{if $device['is_planned']}]
                            <span class="is-planned">&nbsp;</span>
                        [{/if}]
                    </td>
                </tr>
            [{/foreach}]
        </tbody>
    </table>
</div>

<div style="padding: 0 14px;">
    <span class="is-planned">&nbsp;</span>
    [{isys type='lang' ident='LC__CMDB__CATG__SMVIEW_PATCH__INSTALLATION_PLANNED'}]
</div>
<div style="float: right; display: inline-block; padding: 0 14px;">
    [{$smarty.now|date_format:'%m.%d.%Y  %H:%M:%S'}]
</div>

<script type="text/javascript">
    hide_left_bar();
    function hide_left_bar() {
        setTimeout(function() {
            document.getElementById('contentArea').writeAttribute('style', 'left: 0;');
            hide_left_bar();
        }, 200);
    }
</script>
